<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TaskExecutionGraph (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TaskExecutionGraph (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/TaskExecutionAdapter.html" title="class in org.gradle.api.execution"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/execution/TaskExecutionGraph.html" target="_top">Frames</a></li>
<li><a href="TaskExecutionGraph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.execution</div>
<h2 title="Interface TaskExecutionGraph" class="title">Interface TaskExecutionGraph</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">TaskExecutionGraph</span></pre>
<div class="block"><p>A <code>TaskExecutionGraph</code> is responsible for managing the execution of the <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api"><code>Task</code></a> instances which
 are part of the build. The <code>TaskExecutionGraph</code> maintains an execution plan of tasks to be executed (or
 which have been executed), and you can query this plan from your build file.</p>

 <p>You can access the <code>TaskExecutionGraph</code> by calling <a href="../../../../org/gradle/api/invocation/Gradle.html#getTaskGraph()"><code>Gradle.getTaskGraph()</code></a>.
 In your build file you can use <code>gradle.taskGraph</code> to access it.</p>

 <p>The <code>TaskExecutionGraph</code> is populated only after all the projects in the build have been evaulated. It
 is empty before then. You can receive a notification when the graph is populated, using <a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#whenReady(groovy.lang.Closure)"><code>whenReady(groovy.lang.Closure)</code></a> or <a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#addTaskExecutionGraphListener(org.gradle.api.execution.TaskExecutionGraphListener)"><code>addTaskExecutionGraphListener(TaskExecutionGraphListener)</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#addTaskExecutionGraphListener(org.gradle.api.execution.TaskExecutionGraphListener)">addTaskExecutionGraphListener</a></strong>(<a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution">TaskExecutionGraphListener</a>&nbsp;listener)</code>
<div class="block">Adds a listener to this graph, to be notified when this graph is ready.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#addTaskExecutionListener(org.gradle.api.execution.TaskExecutionListener)">addTaskExecutionListener</a></strong>(<a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a>&nbsp;listener)</code>
<div class="block">Adds a listener to this graph, to be notified as tasks are executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#afterTask(org.gradle.api.Action)">afterTask</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;action)</code>
<div class="block">Adds an action to be called immediately after a task has executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#afterTask(groovy.lang.Closure)">afterTask</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds a closure to be called immediately after a task has executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#beforeTask(org.gradle.api.Action)">beforeTask</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;action)</code>
<div class="block">Adds an action to be called immediately before a task is executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#beforeTask(groovy.lang.Closure)">beforeTask</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds a closure to be called immediately before a task is executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#getAllTasks()">getAllTasks</a></strong>()</code>
<div class="block">Returns the tasks which are included in the execution plan.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#hasTask(java.lang.String)">hasTask</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Determines whether the given task is included in the execution plan.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#hasTask(org.gradle.api.Task)">hasTask</a></strong>(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task)</code>
<div class="block">Determines whether the given task is included in the execution plan.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#removeTaskExecutionGraphListener(org.gradle.api.execution.TaskExecutionGraphListener)">removeTaskExecutionGraphListener</a></strong>(<a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution">TaskExecutionGraphListener</a>&nbsp;listener)</code>
<div class="block">Remove a listener from this graph.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#removeTaskExecutionListener(org.gradle.api.execution.TaskExecutionListener)">removeTaskExecutionListener</a></strong>(<a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a>&nbsp;listener)</code>
<div class="block">Remove a listener from this graph.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#whenReady(org.gradle.api.Action)">whenReady</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html" title="interface in org.gradle.api.execution">TaskExecutionGraph</a>&gt;&nbsp;action)</code>
<div class="block">Adds an action to be called when this graph has been populated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#whenReady(groovy.lang.Closure)">whenReady</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Adds a closure to be called when this graph has been populated.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addTaskExecutionGraphListener(org.gradle.api.execution.TaskExecutionGraphListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTaskExecutionGraphListener</h4>
<pre>void&nbsp;addTaskExecutionGraphListener(<a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution">TaskExecutionGraphListener</a>&nbsp;listener)</pre>
<div class="block"><p>Adds a listener to this graph, to be notified when this graph is ready.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to add. Does nothing if this listener has already been added.</dd></dl>
</li>
</ul>
<a name="removeTaskExecutionGraphListener(org.gradle.api.execution.TaskExecutionGraphListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeTaskExecutionGraphListener</h4>
<pre>void&nbsp;removeTaskExecutionGraphListener(<a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution">TaskExecutionGraphListener</a>&nbsp;listener)</pre>
<div class="block"><p>Remove a listener from this graph.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to remove. Does nothing if this listener was never added to this graph.</dd></dl>
</li>
</ul>
<a name="addTaskExecutionListener(org.gradle.api.execution.TaskExecutionListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTaskExecutionListener</h4>
<pre>void&nbsp;addTaskExecutionListener(<a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a>&nbsp;listener)</pre>
<div class="block"><p>Adds a listener to this graph, to be notified as tasks are executed.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to add. Does nothing if this listener has already been added.</dd></dl>
</li>
</ul>
<a name="removeTaskExecutionListener(org.gradle.api.execution.TaskExecutionListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeTaskExecutionListener</h4>
<pre>void&nbsp;removeTaskExecutionListener(<a href="../../../../org/gradle/api/execution/TaskExecutionListener.html" title="interface in org.gradle.api.execution">TaskExecutionListener</a>&nbsp;listener)</pre>
<div class="block"><p>Remove a listener from this graph.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>listener</code> - The listener to remove. Does nothing if this listener was never added to this graph.</dd></dl>
</li>
</ul>
<a name="whenReady(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whenReady</h4>
<pre>void&nbsp;whenReady(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block"><p>Adds a closure to be called when this graph has been populated. This graph is passed to the closure as a
 parameter.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to execute when this graph has been populated.</dd></dl>
</li>
</ul>
<a name="whenReady(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whenReady</h4>
<pre>void&nbsp;whenReady(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html" title="interface in org.gradle.api.execution">TaskExecutionGraph</a>&gt;&nbsp;action)</pre>
<div class="block"><p>Adds an action to be called when this graph has been populated. This graph is passed to the action as a
 parameter.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute when this graph has been populated.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.1</dd></dl>
</li>
</ul>
<a name="beforeTask(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeTask</h4>
<pre>void&nbsp;beforeTask(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block"><p>Adds a closure to be called immediately before a task is executed. The task is passed to the closure as a
 parameter.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to execute when a task is about to be executed.</dd></dl>
</li>
</ul>
<a name="beforeTask(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeTask</h4>
<pre>void&nbsp;beforeTask(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;action)</pre>
<div class="block"><p>Adds an action to be called immediately before a task is executed. The task is passed to the action as a
 parameter.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute when a task is about to be executed.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.1</dd></dl>
</li>
</ul>
<a name="afterTask(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterTask</h4>
<pre>void&nbsp;afterTask(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block"><p>Adds a closure to be called immediately after a task has executed. The task is passed to the closure as the
 first parameter. A <a href="../../../../org/gradle/api/tasks/TaskState.html" title="interface in org.gradle.api.tasks"><code>TaskState</code></a> is passed as the second parameter. Both parameters are
 optional.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The closure to execute when a task has been executed</dd></dl>
</li>
</ul>
<a name="afterTask(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterTask</h4>
<pre>void&nbsp;afterTask(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;action)</pre>
<div class="block"><p>Adds an action to be called immediately after a task has executed. The task is passed to the action as the
 first parameter.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to execute when a task has been executed</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.1</dd></dl>
</li>
</ul>
<a name="hasTask(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasTask</h4>
<pre>boolean&nbsp;hasTask(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block"><p>Determines whether the given task is included in the execution plan.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - the <em>absolute</em> path of the task.</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if a task with the given path is included in the execution plan.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When this graph has not been populated.</dd></dl>
</li>
</ul>
<a name="hasTask(org.gradle.api.Task)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasTask</h4>
<pre>boolean&nbsp;hasTask(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task)</pre>
<div class="block"><p>Determines whether the given task is included in the execution plan.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>task</code> - the task</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if the given task is included in the execution plan.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When this graph has not been populated.</dd></dl>
</li>
</ul>
<a name="getAllTasks()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllTasks</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;getAllTasks()</pre>
<div class="block"><p>Returns the tasks which are included in the execution plan. The tasks are returned in the order that they will
 be executed.</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The tasks. Returns an empty set if no tasks are to be executed.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When this graph has not been populated.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/TaskExecutionAdapter.html" title="class in org.gradle.api.execution"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/execution/TaskExecutionGraph.html" target="_top">Frames</a></li>
<li><a href="TaskExecutionGraph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
